/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.view.fragment.factory;

import android.support.v4.app.Fragment;

import kr.co.zumo.app.lifeplus.supervisor.ScreenID;
import kr.co.zumo.app.lifeplus.view.fragment.rest.RestMemberActiveCompletedFragment;
import kr.co.zumo.app.lifeplus.view.fragment.rest.RestMemberStartFragment;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpAgreeFragment;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpAlreadyMemberFragment;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpCompletedFragment;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpMobileAuthFragment;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpNeedFor30daysFragment;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpPinFragment;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpStartFragment;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpUnder14YearsFragment;

/**
 * 프래그먼트 팩토리
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 5.]   [최초 작성]
 * @since 2018. 9. 5.
 */
public class BasicFragmentFactory extends FragmentFactory {
  @Override
  public Fragment getFragmentById(@ScreenID.FragmentID int id) {
    Fragment fragment = null;
    switch (id) {
      case ScreenID.SIGN_UP_START:
        fragment = new SignUpStartFragment();
        break;
      case ScreenID.SIGN_UP_MOBILE_AUTHORIZATION:
        fragment = new SignUpMobileAuthFragment();
        break;
      case ScreenID.SIGN_UP_ALREADY_MEMBER:
        fragment = new SignUpAlreadyMemberFragment();
        break;
      case ScreenID.SIGN_UP_NEED_FOR_30DAYS:
        fragment = new SignUpNeedFor30daysFragment();
        break;
      case ScreenID.SIGN_UP_UNDER_14_YEARS:
        fragment = new SignUpUnder14YearsFragment();
        break;
      case ScreenID.SIGN_UP_PIN:
        fragment = new SignUpPinFragment();
        break;
      case ScreenID.SIGN_UP_AGREE:
        fragment = new SignUpAgreeFragment();
        break;
      case ScreenID.SIGN_UP_COMPLETED:
        fragment = new SignUpCompletedFragment();
        break;
      case ScreenID.REST_MEMBER_START:
        fragment = new RestMemberStartFragment();
        break;
      case ScreenID.REST_MEMBER_ACTIVE_COMPLETED:
        fragment = new RestMemberActiveCompletedFragment();
        break;
      default:
        break;
    }

    return fragment;
  }
}
